XmStringGetLtoR(3Xm)

NAME
XmStringGetLtoR — a compound string function that searches for a text segment in the input compound string.

SYNOPSIS
#include <Xm/Xm.h>

Boolean XmStringGetLtoR (string, charset, text)
    XmString    string;
    XmStringCharSet    charset;
    char    ** text;

DESCRIPTION
XmStringGetLtoR searches for a text segment in the input compound string that matches the given character set identifier.

string
    Specifies the compound string.

charset
    Specifies the character set identifier to be associated with the text. This can be XmSTRING_DEFAULT_CHARSET.

text
    Specifies a pointer to a null terminated string.

RETURN VALUE
Returns True if the matching text segment can be found. On return, text will have a null terminated octet sequence containing the matched segment.

RELATED INFORMATION
XmStringCreate(3Xm).